Package org.kie.internal.jaxb

## Class StringKeyObjectValueMap

- java.lang.Object
- - org.kie.internal.jaxb.StringKeyObjectValueMap

- All Implemented Interfaces:
    `Map<String,​Object>`

      public class StringKeyObjectValueMap
      extends Object
      implements Map<String,​Object>

  This implements `Map` in order to fool JSON..

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `List<StringKeyObjectValueEntry>` | `entries` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringKeyObjectValueMap()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEntry​(StringKeyObjectValueEntry newEntry)` |
    `void` | `clear()` |
    `boolean` | `containsKey​(Object key)` |
    `boolean` | `containsValue​(Object value)` |
    `Set<Map.Entry<String,​Object>>` | `entrySet()` |
    `Object` | `get​(Object key)` |
    `boolean` | `isEmpty()` |
    `Set<String>` | `keySet()` |
    `Object` | `put​(String key, Object value)` |
    `void` | `putAll​(Map<? extends String,​? extends Object> m)` |
    `Object` | `remove​(Object key)` |
    `int` | `size()` |
    `Collection<Object>` | `values()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, forEach, getOrDefault, hashCode, merge, putIfAbsent, remove, replace, replace, replaceAll`

- - ### Field Detail

    - #### entries

          public List<StringKeyObjectValueEntry> entries

  - ### Constructor Detail

    - #### StringKeyObjectValueMap

          public StringKeyObjectValueMap()

  - ### Method Detail

    - #### addEntry

          public void addEntry​(StringKeyObjectValueEntry newEntry)

    - #### size

          public int size()

      Specified by:
        `size` in interface `Map<String,​Object>`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `Map<String,​Object>`

    - #### containsKey

          public boolean containsKey​(Object key)

      Specified by:
        `containsKey` in interface `Map<String,​Object>`

    - #### containsValue

          public boolean containsValue​(Object value)

      Specified by:
        `containsValue` in interface `Map<String,​Object>`

    - #### get

          public Object get​(Object key)

      Specified by:
        `get` in interface `Map<String,​Object>`

    - #### put

          public Object put​(String key,
                            Object value)

      Specified by:
        `put` in interface `Map<String,​Object>`

    - #### remove

          public Object remove​(Object key)

      Specified by:
        `remove` in interface `Map<String,​Object>`

    - #### putAll

          public void putAll​(Map<? extends String,​? extends Object> m)

      Specified by:
        `putAll` in interface `Map<String,​Object>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,​Object>`

    - #### keySet

          public Set<String> keySet()

      Specified by:
        `keySet` in interface `Map<String,​Object>`

    - #### values

          public Collection<Object> values()

      Specified by:
        `values` in interface `Map<String,​Object>`

    - #### entrySet

          public Set<Map.Entry<String,​Object>> entrySet()

      Specified by:
        `entrySet` in interface `Map<String,​Object>`